Package tigase.xml

## Enum SimpleParser.State

- java.lang.Object
- - java.lang.Enum<SimpleParser.State>
  - - tigase.xml.SimpleParser.State

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<SimpleParser.State>`
  Enclosing class:
    SimpleParser

      protected static enum SimpleParser.State
      extends java.lang.Enum<SimpleParser.State>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ATTRIB_NAME` |
    `ATTRIB_VALUE_D` |
    `ATTRIB_VALUE_S` |
    `CLOSE_ELEMENT` |
    `ELEMENT_CDATA` |
    `ELEMENT_NAME` |
    `END_ELEMENT_NAME` |
    `END_OF_ATTR_NAME` |
    `ENTITY` |
    `ERROR` |
    `OPEN_BRACKET` |
    `OTHER_XML` |
    `START` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SimpleParser.State` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static SimpleParser.State[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### START

          public static final SimpleParser.State START

    - #### OPEN_BRACKET

          public static final SimpleParser.State OPEN_BRACKET

    - #### ELEMENT_NAME

          public static final SimpleParser.State ELEMENT_NAME

    - #### END_ELEMENT_NAME

          public static final SimpleParser.State END_ELEMENT_NAME

    - #### ATTRIB_NAME

          public static final SimpleParser.State ATTRIB_NAME

    - #### END_OF_ATTR_NAME

          public static final SimpleParser.State END_OF_ATTR_NAME

    - #### ATTRIB_VALUE_S

          public static final SimpleParser.State ATTRIB_VALUE_S

    - #### ATTRIB_VALUE_D

          public static final SimpleParser.State ATTRIB_VALUE_D

    - #### ELEMENT_CDATA

          public static final SimpleParser.State ELEMENT_CDATA

    - #### OTHER_XML

          public static final SimpleParser.State OTHER_XML

    - #### ERROR

          public static final SimpleParser.State ERROR

    - #### CLOSE_ELEMENT

          public static final SimpleParser.State CLOSE_ELEMENT

    - #### ENTITY

          public static final SimpleParser.State ENTITY

  - ### Method Detail

    - #### values

          public static SimpleParser.State[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SimpleParser.State c : SimpleParser.State.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SimpleParser.State valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null